## org.hsqldb.auth
Class JaasAuthBean.UPCallbackHandler

    java.lang.Object
      org.hsqldb.auth.JaasAuthBean.UPCallbackHandler

All Implemented Interfaces:
  CallbackHandler

Enclosing class:
  JaasAuthBean

    public static class JaasAuthBean.UPCallbackHandler

extends Object
implements CallbackHandler

Constructor Summary
`JaasAuthBean.UPCallbackHandler(String u, String pString)`

Method Summary
`void` `handle(Callback[] callbacks)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaasAuthBean.UPCallbackHandler

    public JaasAuthBean.UPCallbackHandler(String u,
                                          String pString)

Method Detail

### handle

    public void handle(Callback[] callbacks)
                throws UnsupportedCallbackException

  Specified by:
    `handle` in interface `CallbackHandler`
  Throws:
    `UnsupportedCallbackException`

Copyright © 2001 - 2010 HSQL Development Group.